# exception.c File Reference

`#include <pspkernel.h>`
`#include <pspdisplay.h>`
`#include <pspdebug.h>`

Include dependency graph for exception.c:

## Functions

void | _pspDebugExceptionHandler (void)
int | sceKernelRegisterDefaultExceptionHandler (void *func)
int | pspDebugInstallErrorHandler (PspDebugErrorHandler handler)
| Install an error handler to catch unhandled exceptions.
void | pspDebugDumpException (PspDebugRegBlock *regs)
| Dump an exception to screen using the pspDebugScreen functions.
void | _pspDebugTrapEntry (void)
| The entry point for our exception "trap".

## Variables

PspDebugRegBlock | _pspDebugExceptRegs

## Function Documentation

void _pspDebugExceptionHandler | ( | void |  | ) |

void _pspDebugTrapEntry | ( | void |  | ) |

| The entry point for our exception "trap".

int sceKernelRegisterDefaultExceptionHandler | ( | void * | func | ) |

## Variable Documentation

PspDebugRegBlock _pspDebugExceptRegs